<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>cd.casic.boot</groupId>
        <artifactId>modules</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>module-ci-repository</artifactId>

    <version>${revision}</version>
    <name>${project.artifactId}</name>

    <dependencies>
        <!--#####################内部依赖#########################-->
        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>commons</artifactId>
        </dependency>

        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>spring-boot-starter-security</artifactId>
        </dependency>

        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>spring-boot-starter-biz-tenant</artifactId>
        </dependency>

        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>module-ci-commons</artifactId>
        </dependency>
        <!--#####################三方依赖#########################-->
        <!--加解密-->
        <dependency>
            <groupId>com.antherd</groupId>
            <artifactId>sm-crypto</artifactId>
            <version>0.3.2</version>
        </dependency>
        <dependency>
            <groupId>org.openjdk.nashorn</groupId>
            <artifactId>nashorn-core</artifactId>
            <version>15.4</version>
        </dependency>
        <!--git代码仓相关依赖-->
        <dependency>
            <groupId>org.eclipse.jgit</groupId>
            <artifactId>org.eclipse.jgit</artifactId>
            <version>6.7.0.202309050840-r</version>
        </dependency>

    </dependencies>
</project>